# Cinder

# cinder::app::Renderer2d Class Reference

`#include <Renderer.h>`

Inherits cinder::app::Renderer, and cinder::app::Renderer.

List of all members.

## Public Member Functions
virtual void | setup (App *aApp, const Area &frame, UIView *cinderView)
| ~Renderer2d ()
virtual void | setup (App *aApp, CGRect frame, NSView *cinderView)
virtual CGContextRef | getCgContext ()
virtual void | startDraw ()
virtual void | finishDraw ()
virtual void | setFrameSize (int width, int height)
virtual void | defaultResize ()
virtual void | makeCurrentContext ()
virtual Surface | copyWindowSurface (const Area &area)
| Renderer2d (bool doubleBuffer=true)
virtual void | setup (App *aApp, HWND wnd, HDC dc)
virtual void | kill ()
virtual HWND | getHwnd ()
virtual HDC | getDc ()
virtual void | prepareToggleFullScreen ()
virtual void | finishToggleFullScreen ()
virtual void | startDraw ()
virtual void | finishDraw ()
virtual void | defaultResize ()
virtual Surface | copyWindowSurface (const Area &area)
virtual CGLContextObj | getCglContext ()
virtual CGLPixelFormatObj | getCglPixelFormat ()
virtual bool | isEaglLayer () const
## Protected Attributes
AppImplCocoaRendererQuartz * | mImpl
AppImplCocoaTouchRendererQuartz * | mImpl
CGContextRef | mCGContext
class AppImplMswRendererGdi * | mImpl
bool | mDoubleBuffer
HWND | mWnd
HDC | mDC
class App * | mApp

## Constructor & Destructor Documentation

cinder::app::Renderer2d::~Renderer2d | ( |  | ) |

cinder::app::Renderer2d::Renderer2d | ( | bool | doubleBuffer = `true` | ) |

## Member Function Documentation

void cinder::app::Renderer2d::setup | ( | App * | aApp,
|  | const Area & | frame,
|  | UIView * | cinderView |
| ) |  |  | `[virtual]`

Implements cinder::app::Renderer.

void cinder::app::Renderer2d::setup | ( | App * | aApp,
|  | CGRect | frame,
|  | NSView * | cinderView |
| ) |  |  | `[virtual]`

Implements cinder::app::Renderer.

CGContextRef cinder::app::Renderer2d::getCgContext | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::Renderer2d::startDraw | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::Renderer2d::finishDraw | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::Renderer2d::setFrameSize | ( | int | width,
|  | int | height |
| ) |  |  | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::Renderer2d::defaultResize | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::Renderer2d::makeCurrentContext | ( |  | ) | `[virtual]`

Implements cinder::app::Renderer.

Surface cinder::app::Renderer2d::copyWindowSurface | ( | const Area & | area | ) | `[virtual]`

Implements cinder::app::Renderer.

void cinder::app::Renderer2d::setup | ( | App * | aApp,
|  | HWND | wnd,
|  | HDC | dc |
| ) |  |  | `[virtual]`

Implements cinder::app::Renderer.

void cinder::app::Renderer2d::kill | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

virtual HWND cinder::app::Renderer2d::getHwnd | ( |  | ) | `[virtual]`

Implements cinder::app::Renderer.

HDC cinder::app::Renderer2d::getDc | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::Renderer2d::prepareToggleFullScreen | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::Renderer2d::finishToggleFullScreen | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

virtual void cinder::app::Renderer2d::startDraw | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

virtual void cinder::app::Renderer2d::finishDraw | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

virtual void cinder::app::Renderer2d::defaultResize | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

virtual Surface cinder::app::Renderer2d::copyWindowSurface | ( | const Area & | area | ) | `[virtual]`

Implements cinder::app::Renderer.

virtual CGLContextObj cinder::app::Renderer::getCglContext | ( |  | ) | `[virtual, inherited]`

Reimplemented in cinder::app::RendererGl.

virtual CGLPixelFormatObj cinder::app::Renderer::getCglPixelFormat | ( |  | ) | `[virtual, inherited]`

Reimplemented in cinder::app::RendererGl.

virtual bool cinder::app::Renderer::isEaglLayer | ( |  | ) | const`[virtual, inherited]`

Reimplemented in cinder::app::RendererGl.

## Member Data Documentation

AppImplCocoaRendererQuartz* cinder::app::Renderer2d::mImpl`[protected]`

AppImplCocoaTouchRendererQuartz* cinder::app::Renderer2d::mImpl`[protected]`

CGContextRef cinder::app::Renderer2d::mCGContext`[protected]`

class AppImplMswRendererGdi* cinder::app::Renderer2d::mImpl`[protected]`

bool cinder::app::Renderer2d::mDoubleBuffer`[protected]`

HWND cinder::app::Renderer2d::mWnd`[protected]`

HDC cinder::app::Renderer2d::mDC`[protected]`

class App* cinder::app::Renderer::mApp`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/app/Renderer.h
- src/cinder/app/Renderer.cpp